package com.tarena.oss.rights.dao;

import java.util.Collection;

import com.tarena.oss.rights.pojo.Role;


public interface RoleMgmtDAO {
	public void insertRote(Role r);
	public void updateRole(Role r);
	public void deleteRole(Role r);
	public Role queryRole(Integer id);
	public Collection<Role> queryRole(int currentPage);
	public Collection<Role> queryRole(String cond, int currentPage);
	public int queryRoleCnt();
	public int queryRoleCnt(String cond);
}
